> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/docs/messaging-api/api-reference/health.md).

# Health

Health check and status endpoints

## Get Meta Stack Health Status

> Retrieve health status information for the Meta stack including connectivity and service availability.\
> The \`health\_status\` field is always requested. Additional fields (e.g. \`display\_phone\_number\`) can be requested via the \`fields\` query parameter and are concatenated with \`health\_status\` into a single \`fields\` param.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.46.8"},"tags":[{"name":"Health","description":"Health check and status endpoints"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"health_status.GetHealthStatusResponse":{"description":"Response payload containing health status information for messaging and calling. `health_status` is always returned. The remaining fields are only returned when explicitly requested via the `fields` query parameter and mirror the corresponding fields on the Meta Graph WhatsApp Business phone number node.","properties":{"account_mode":{"type":"string"},"certificate":{"type":"string"},"code_verification_status":{"type":"string"},"country_code":{"type":"string"},"country_dial_code":{"type":"string"},"display_phone_number":{"type":"string"},"health_status":{"$ref":"#/components/schemas/health_status.HealthStatus"},"host_platform":{"type":"string"},"id":{"type":"string"},"is_official_business_account":{"type":"boolean"},"is_on_biz_app":{"type":"boolean"},"is_preverified_number":{"type":"boolean"},"last_onboarded_time":{"type":"string"},"messaging_limit_tier":{"type":"string"},"name_status":{"type":"string"},"new_certificate":{"type":"string"},"new_display_name":{"type":"string"},"new_name_status":{"type":"string"},"platform_type":{"type":"string"},"quality_rating":{"type":"string"},"status":{"type":"string"},"verified_name":{"type":"string"}},"type":"object"},"health_status.HealthStatus":{"properties":{"can_send_message":{"type":"string"},"entities":{"items":{"$ref":"#/components/schemas/health_status.HealthEntity"},"type":"array","uniqueItems":false}},"type":"object"},"health_status.HealthEntity":{"properties":{"additional_info":{"items":{"type":"string"},"type":"array","uniqueItems":false},"can_receive_call_sip":{"type":"string"},"can_send_message":{"type":"string"},"entity_type":{"type":"string"},"errors":{"items":{"$ref":"#/components/schemas/health_status.HealthError"},"type":"array","uniqueItems":false},"id":{"type":"string"}},"type":"object"},"health_status.HealthError":{"properties":{"error_code":{"type":"integer"},"error_description":{"type":"string"},"possible_solution":{"type":"string"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/health_status":{"get":{"description":"Retrieve health status information for the Meta stack including connectivity and service availability.\nThe `health_status` field is always requested. Additional fields (e.g. `display_phone_number`) can be requested via the `fields` query parameter and are concatenated with `health_status` into a single `fields` param.","operationId":"get-health-status","parameters":[{"description":"Comma-separated list of additional fields to return alongside health_status (e.g. display_phone_number)","in":"query","name":"fields","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/health_status.GetHealthStatusResponse"}}},"description":"Health status retrieved successfully"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Internal server error"}},"summary":"Get Meta Stack Health Status","tags":["Health"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.360dialog.com/docs/messaging-api/api-reference/health.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
